HERE=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
OUTDIR=$(realpath "$HERE/../data/computebound/")
EXE=$(realpath "$HERE/../main.release.exe")
ARGS=(3 3 3 2 64)
CORES=(1 2 3 4 5 6 7 8 9 10 11 12)
CHUNKS=(0 1 2 3 4)
for core in ${CORES[@]}
do
    #for chunk in ${CHUNKS[@]}
    #do
        #INFILE=$(realpath "$HERE/../data/splits/${chunk}_3233_inq.txt")
        #OUTFILE="$OUTDIR/core_${core}_"$(basename "$INFILE.txt")
        #echo "$EXE ${ARGS[@]} < \"$INFILE\"" | tee --append "$OUTFILE"
        #OMP_THREAD_NUM=$core time --portability --append --output="$OUTFILE" "$EXE" "${ARGS[@]}" < "$INFILE" >> "$OUTFILE"
    #done
    INFILE=$(realpath "$HERE/../data/3233_inq.txt")
    OUTFILE="$OUTDIR/core_${core}_$(basename "$INFILE.txt")"
    echo "$EXE ${ARGS[@]} < \"$INFILE\"" | tee --append "$OUTFILE"
    OMP_THREAD_NUM=$core time --portability --append --output="$OUTFILE" "$EXE" "${ARGS[@]}" < "$INFILE" >> "$OUTFILE"
done